petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetRelativePath

Given a filename, returns the relative path (removes all directory specifiers).

### Synopsis

    PetscErrorCode  PetscGetRelativePath(const char fullpath[],char path[],size_t flen)

Not Collective Many br

### Input parameters

| fullpath | - full pathname Many br
| path | - pointer to buffer to hold relative pathname Many br
| flen | - size of path Many br

Many br

### See Also

PetscGetFullPath()

Level:developer
Location:src/sys/fileio/rpath.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages